function GetRTime(id) {
    var NowTime = new Date();
    var nMS = TimeArray[id].getTime() - NowTime.getTime();
    var nD = Math.floor(nMS / (1000 * 60 * 60 * 24));
    var nH = Math.floor(nMS / (1000 * 60 * 60)) % 24;
    var nM = Math.floor(nMS / (1000 * 60)) % 60;
    var nS = Math.floor(nMS / 1000) % 60;
    var nMS = Math.floor(nMS / 100) % 10;
    if ((nD - 30) >= 0 && nH >= 0 && nM >= 0 && nS >= 0) {
        document.getElementById("RemainD" + id).innerHTML = "<span>" + (nD - 30) + "</span>天<span>" + nH + "</span>时<span>" + nM + "</span>分<span>" + nS + "</span>秒";
    }
    else {
        document.getElementById("RemainD" + id).innerHTML = "已过期！";
    }
    setTimeout("GetRTime(" + id + ")", 1000);
}